Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1347434 - etckeeper throws in defaults for yum in Fedora 23, while dnf is the "official" package manager
Summary: etckeeper throws in defaults for yum in Fedora 23, while dnf is the "official...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etckeeper
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 20:53 UTC by Mike
Modified: 2016-09-12 11:49 UTC (History)
2 users (show)

Fixed In Version: etckeeper-1.18.5-1.fc25 etckeeper-1.18.5-1.fc23 etckeeper-1.18.5-1.fc24 etckeeper-1.18.5-1.el5 etckeeper-1.18.5-1.el7 etckeeper-1.18.5-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-30 18:16:55 UTC
Type: Bug


Attachments (Terms of Use)
spec file patch, to change yum to dnf (672 bytes, patch)
2016-06-16 20:53 UTC, Mike
no flags Details | Diff

Description Mike 2016-06-16 20:53:27 UTC
Created attachment 1168832 [details]
spec file patch, to change yum to dnf

Description of problem:

etckeeper puts defaults in /etc/etckeeper/etckeeper.conf to default to yum as the package manager for F23, while I believe dnf is the "official" package manager of F23.

Version-Release number of selected component (if applicable):

Name        : etckeeper
Version     : 1.18.3
Release     : 2.fc23
Architecture: noarch



How reproducible:
Everytime, its in the package.

Steps to Reproduce:
1. sudo dnf install etckeeper


Actual results:

/etc/etckeeper/etckeeper.conf defaults to yum, and not dnf in F23

Expected results:

/etc/etckeeper/etckeeper.conf should default to dnf, not yum in F23

Additional info:

Comment 1 Thomas Moschny 2016-06-17 13:17:11 UTC
Thanks for noticing.

Nevertheless, this is a purely cosmetic issue, as far as I can see only affecting commit messages. etckeeper functionality itself is not affected.

Comment 2 Fedora Update System 2016-08-27 06:21:54 UTC
etckeeper-1.18.5-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dbfbbf50a9

Comment 3 Fedora Update System 2016-08-27 06:22:00 UTC
etckeeper-1.18.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2d6433c37a

Comment 4 Fedora Update System 2016-08-27 06:22:05 UTC
etckeeper-1.18.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bdfe2570ba

Comment 5 Fedora Update System 2016-08-27 06:22:09 UTC
etckeeper-1.18.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-df4aa08313

Comment 6 Fedora Update System 2016-08-27 06:22:13 UTC
etckeeper-1.18.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-59d31649de

Comment 7 Fedora Update System 2016-08-27 06:22:18 UTC
etckeeper-1.18.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1242a06d1e

Comment 8 Fedora Update System 2016-08-27 12:51:54 UTC
etckeeper-1.18.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-59d31649de

Comment 9 Fedora Update System 2016-08-27 21:17:26 UTC
etckeeper-1.18.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bdfe2570ba

Comment 10 Fedora Update System 2016-08-27 21:17:53 UTC
etckeeper-1.18.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dbfbbf50a9

Comment 11 Fedora Update System 2016-08-27 21:19:17 UTC
etckeeper-1.18.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2d6433c37a

Comment 12 Fedora Update System 2016-08-27 21:49:26 UTC
etckeeper-1.18.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1242a06d1e

Comment 13 Fedora Update System 2016-08-27 22:21:14 UTC
etckeeper-1.18.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-df4aa08313

Comment 14 Fedora Update System 2016-08-30 18:16:53 UTC
etckeeper-1.18.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-04 22:51:15 UTC
etckeeper-1.18.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-05 01:50:31 UTC
etckeeper-1.18.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-12 09:17:42 UTC
etckeeper-1.18.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-09-12 11:46:50 UTC
etckeeper-1.18.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-09-12 11:49:12 UTC
etckeeper-1.18.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.